	@media only screen and (max-width: 1100px) {

	.alignfull{
		border-radius: 0px !important;
	}
	.wp-block-columns.tres-columnas-home {
    	grid-template-columns: 1fr;
  	}

  h1{
  	font-size: 40px	!important;
  }

  h2{
  	font-size: 35px !important;
  }

  p{
  	font-size: 18px !important;
  }

	/*Header*/

	#header {
    	width: 90%;
		top: 10px;
	}

	.logo-menu {
		display: flex;
		flex-direction: unset;
		gap: 0px;
		padding-left: 0px;
		align-items: start;
		padding-bottom: 0px;
	}

.mobile-menu {
    width: 100%;
    height: 25vh;
    opacity: 0;
    transform: translateY(-50px);
    transition: all 500ms ease;
    pointer-events: none;
    position: fixed;
    top: 95px;
    left: 0;
    right: 0;
    bottom: 15px;
    z-index: 9;
    border-radius: 16px;
}
	#menu-principal {
		display: flex;
		list-style: none;
		gap: 25px;
		flex-direction: column;
		font-size: 18px;
		margin: 0;
		padding: 0;
		justify-content: end;
		align-items: end;
	}
	.mobile-menu > div {
		justify-content: center;
		align-items: end;
		position: absolute;
		right: 20px;
		top: 20px;
	}

	.wp-container-core-group-is-layout-5c4e9ce4 {
	    gap: 5px;
	    flex-direction: column;
	    align-items: flex-start !important;
	    justify-content: flex-start;
	}

}	

@media only screen and (max-width: 768px) {

	:root{
		--wp--preset--font-size--small: 14px;
		--wp--preset--font-size--medium: 16px;
	}

	:root :where(.is-layout-flow) > h1, :root :where(.is-layout-flow) > h2, :root :where(.is-layout-flow) > h3, :root :where(.is-layout-flow) > h4, :root :where(.is-layout-flow) > h5, :root :where(.is-layout-flow) > h6 {
		margin-block-end: 2rem;
	}

	img{
	    max-width: 100%;
	}

	.wp-site-blocks {
	    width: 100%;
	    overflow-x: hidden;
	    padding-top: 0px;
	}


	#header #logo {
		padding-left: 0px;
		margin-top: 0px;
		width: 350px;
	}

	.wpcf7{
  		max-width: 100% !important;
  		position: relative;
	}
    .hero-section {
        flex-direction: column;
        padding: 20px; 
		height: 50vh;
        overflow: auto;
    }

    .hero-column {
        width: 100%; 
        height: auto; 
        margin-bottom: 20px;
    }

	.hero-column .wp-block-cover {
		min-height: 40vh !important;
	}

    /* Desactivamos los efectos de hover para evitar problemas en dispositivos táctiles */
    .hero-column:hover {
        width: 100%;
    }
    .hero-section:hover .hero-column:not(:hover),
    .hero-section:hover .hero-column:not(:hover) .hero-title,
    .hero-section:hover .hero-column:not(:hover) .hero-content {
        /* Restablece los estilos por defecto */
        width: 100%;
        opacity: 1;
        visibility: visible;
        transition: none;
    }

	/*FOOTER*/

	#footer div.wp-block-columns{
		gap: 2vh !important;
	}

	/* Forzar alineación a la izquierda en móviles */
  .footer,
  .footer .wp-block-column,
  .footer .wp-block-heading,
  .footer p,
  .footer .wp-block-group,
  .footer .wp-block-navigation,
  .footer .wp-block-navigation__container,
  .footer .wp-block-navigation-item,
  .footer .wp-block-navigation-link,
  .footer .wp-block-navigation-item__content {
    text-align: left !important;
    justify-content: flex-start !important;
    align-items: flex-start !important;
  }

  /* Anula clases auto-generadas que meten alineación a la derecha */
  .has-text-align-right {
    text-align: left !important;
  }

  .is-content-justification-right {
    justify-content: flex-start !important;
  }

  .items-justified-right {
    justify-content: flex-start !important;
  }

  .cta {
      gap: 45px;
  }

  .contacto {
      flex-direction: column;
      align-items: end;
  }

  .legal {
    flex-direction: column-reverse;
    align-items: center;
    gap: 5px;
	}

	.item1{
		order: 2;
	}
	.item2{
		order: 1;
	}

	.heromovil{
		min-height: 30vh !important;
	}

	.proyectos {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 0px;
		flex-direction: column;
	}

}

@media only screen and (max-width: 480px) {

	#header #logo {
	    width: 250px;
	    padding-left: 0px;
	    margin-top: 0px;
	    margin-left: 20px;
	}

	.main-navigation {
		width: 90%;
		left: 30px;
	}

	.close-bars {
		position: initial; 
	}

	.wp-site-blocks {
		width: 100%;
		overflow-x: hidden;
		padding-top: 0px;
	}

	h1{ 
		font-size: 30px;
	}

	h2{
		font-size: 25px;
	}

	p{
		font-size: 18px;
	}


	.carousel-dos .swiper-button-next, .carousel-dos .swiper-button-prev {
		position: absolute;
		top: calc(100% - 0px);
		width: 50px;
		height: 50px;
		background-color: var(--white);
		margin-left: 25px;
		margin-right: 25px;
		z-index: 0;
		display: flex;
		justify-content: center;
		align-items: initial;
	}	

	.bottom-bar {
	    padding: 30px;
	    display: flex;
	    justify-content: space-between;
	    align-items: center;
	    flex-direction: column;
	    gap: 20px;
	    margin: 0 5%;
	}

	.cta {
	    gap: 25px;
	    flex-direction: column;
	}

	.columna-boton {
	     margin-left: 0px !important; 
	}

	.contacto {
	    flex-direction: column;
	    align-items: start;
	}

	.metodo {
		display: flex;
		gap: 15px;
		margin: 0;
		padding: 15px;
		border-right: 0px solid white;
	}

	.metodo img {
		width: 25px;
	}

	.social .icon-social {
		width: 30px;
	}

	.icon-info {
		display: flex;
		gap: 10px;
		align-items: center;
		margin-top: 20px;
	}

	.services figure {
		width: 300px !important;
		height: 250px !important;
	}

}